# Method: accounts.verifyIosClient

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.VerifyIosClientResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/accounts/verifyIosClient#try-it)

Verifies an iOS client is a real iOS device. If the request is valid, a receipt will be sent in the response and a secret will be sent via Apple Push Notification Service. The client should send both of them back to certain Identity Platform APIs in a later call (for example, /accounts:sendVerificationCode), in order to verify the client. The bundle ID is required in the request header as `x-ios-bundle-identifier`.

An [API key](https://cloud.google.com/docs/authentication/api-keys) is required in the request in order to identify the Google Cloud project.

### HTTP request

`POST https://identitytoolkit.googleapis.com/v1/accounts:verifyIosClient`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "appToken": string, "isSandbox": boolean } ``` |

| Fields ||
|---|---|
| `appToken` | `string` A device token that the iOS client gets after registering to APNs (Apple Push Notification service). |
| `isSandbox` | `boolean` Whether the app token is in the iOS sandbox. If false, the app token is in the production environment. |

### Response body

Response message for accounts.verifyIosClient.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "receipt": string, "suggestedTimeout": string } ``` |

| Fields ||
|---|---|
| `receipt` | `string` Receipt of successful app token validation. |
| `suggestedTimeout` | `string (https://developers.google.com/discovery/v1/type-format format)` Suggested time that the client should wait in seconds for delivery of the push notification. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).